export declare class ConcatWithSourcemap {
    private readonly _bundleName;
    private readonly _bundleMapName;
    private readonly _sourceMap;
    private _lineOffset;
    private _fileContent;
    constructor(bundleName: string);
    addDirectory(dirPath: string): Promise<void>;
    addFile(filePath: string): Promise<void>;
    /**
     * Saves the current file content
     * @param filePath The file path to save to
     */
    saveContent(filePath: string): Promise<void>;
    /**
     * Saves the current sourcemap
     * @param filePath The file path to save to
     */
    saveMap(filePath: string): Promise<void>;
    /**
     * Saves the current file content and sourcemap
     * @param outputDir The directory to save the files to
     */
    saveFiles(outputDir: string): Promise<void>;
    add(filePath: string | null, content: string, sourceMap?: string): Promise<void>;
    private addWithoutSourceMap;
    private addWithSourceMap;
    get content(): string;
    get sourceMap(): string;
}
